This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Pricing

Overview

SCP Pricing Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.

This guide provides a brief description of Pricing service and how to call API. The API is provided as a RESTful API, and it responds in JSON format.

Version

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionStatusNot Before
1.0CURRENT-

OpenAPI URL

https://pricing.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - ListBillingItemIds

1.1.1 - 1.0

get /v1/reports/billing-item-ids

Description

Get billing item ID list.

State ACTIVE (CURRENT)

VersionNot Before
1.0-

Responses

HTTP CodeDescriptionSchema
200OKBillingItemIdsResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/reports/billing-item-ids

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = pricing 1.0"

Example HTTP response

Response 200

{
    "billing_item_ids": "VIRTUAL_SERVER"
}

1.2 - ListOffering

1.2.1 - 1.0

get /v1/reports/offerings

Description

Get offering list.

State ACTIVE (CURRENT)

VersionNot Before
1.0-

Responses

HTTP CodeDescriptionSchema
200OKOfferingResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/reports/offerings

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = pricing 1.0"

Example HTTP response

Response 200

{
    "offerings": [
        "PS",
        "PP",
        "PG"
    ]
}

1.3 - ListReportPrice

1.3.1 - 1.0

get /v1/reports/prices

Description

Get prices with optional filtering by billing_item_id and offering.

State ACTIVE (CURRENT)

VersionNot Before
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querybilling_item_id
optional
Filter by billing item ID
Example : VIRTUAL_SERVER
any of [string, null]None
queryoffering
optional
Filter by offering type (PS/PP/PG)
Example : PP
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKReportPriceResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/reports/prices

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = pricing 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "prices": "VIRTUAL_SERVER",
    "size": 20,
    "sort": [
        "created_at:asc"
    ],
    "total_pages": 10
}

2 - Models

2.1 - BillingItemIdsResponse

NameDescriptionSchemaDefault
billing_item_ids
optional
List of all billing item IDs
Example : VIRTUAL_SERVER
array[string]

2.2 - OfferingResponse

NameDescriptionSchemaDefault
offerings
optional
List of offering types
Example : ['PS', 'PP', 'PG']
array[string]

2.3 - PriceRangeDto

NameDescriptionSchemaDefault
base_price
required
Base price for this range
Example :
string
range_end
required
Range end value. null means +Infinity
Example : 0.00000000
any of [string, null]
range_start
required
Range start value. null means -Infinity
Example : 0.00000000
any of [string, null]
unit_price
required
Unit price for this range
Example : PP
string

2.4 - ReportPriceDTO

NameDescriptionSchemaDefault
attributes
required
Price attributes
Example :
object
billing_item_id
required
Billing Item ID
Example : VIRTUAL_SERVER
string
currency_code
required
Currency Code
Example : VIRTUAL_SERVER
string
offering
required
Offering type (PP/PS/PG)
Example : PP
string
price_model
required
Price model enum name
Example : VIRTUAL_SERVER
string
price_unit
required
Price unit enum name
Example : VIRTUAL_SERVER
string
prices
required
Price ranges
array[PriceRangeDto]
proration_rule
required
Proration rule enum name
Example : PRORATION
string
rounding_position
required
Rounding position
Example : VIRTUAL_SERVER
integer
rounding_rule
required
Rounding rule enum name
Example : ROUND_DOWN
string

2.5 - ReportPriceResponse

NameDescriptionSchemaDefault
count
required
count
Example : 20
integer
page
required
page
Example : 0
integer
prices
optional
List of matching prices
Example : VIRTUAL_SERVER
array[ReportPriceDTO]
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]
total_pages
optional

Example : 10
integer1